package com.ruoyi.system.mapper.system;

import com.ruoyi.system.domain.system.SysRegionPermission;
import com.ruoyi.system.domain.system.SysRegionPermissionExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysRegionPermissionMapper {
    long countByExample(SysRegionPermissionExample example);

    int deleteByExample(SysRegionPermissionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysRegionPermission record);

    int insertSelective(SysRegionPermission record);

    List<SysRegionPermission> selectByExample(SysRegionPermissionExample example);

    SysRegionPermission selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysRegionPermission record, @Param("example") SysRegionPermissionExample example);

    int updateByExample(@Param("record") SysRegionPermission record, @Param("example") SysRegionPermissionExample example);

    int updateByPrimaryKeySelective(SysRegionPermission record);

    int updateByPrimaryKey(SysRegionPermission record);

    /**
     * 批量新增
     * @param roleMenuList
     * @return
     */
    int batchInsertPermission(List<SysRegionPermission> roleMenuList);

    List<SysRegionPermission> listByTypeAndForeignId(@Param("type")String type, @Param("foreignId")String foreignId);
}